<head>
    <meta charset="UTF-8">
    <link rel="stylesheet" href="assets/index.css">
    <title> Welcome to {{.Title}} </title>
</head>

<body>
    <div class="title"> Welcome to {{.Title}} - {{.Time}}</div>
</body>

<a href="http://localhost:8080/vulnerable0001?param=http://example.com">http://localhost:8080/vulnerable0001?param=http://example.com</a>
</br>
<a href="http://localhost:8080/vulnerable0002?param=http://example.com">http://localhost:8080/vulnerable0002?param=http://example.com</a>
</br>
<a href="http://localhost:8080/vulnerable0003?param=http://example.com">http://localhost:8080/vulnerable0003?param=http://example.com</a>
</br>
<a href="http://localhost:8080/vulnerable0004?param=http://example.com">http://localhost:8080/vulnerable0004?param=http://example.com</a>
</br>
<a href="http://localhost:8080/vulnerable0005?param=http://example.com">http://localhost:8080/vulnerable0005?param=http://example.com</a>
</br>
<a href="http://localhost:8080/vulnerable0006?param=http://example.com">http://localhost:8080/vulnerable0006?param=http://example.com</a>
</br>
<a href="http://localhost:8080/vulnerable0007?param=http://example.com">http://localhost:8080/vulnerable0007?param=http://example.com</a>
</br>
<a href="http://localhost:8080/vulnerable0008?param=http://example.com">http://localhost:8080/vulnerable0008?param=http://example.com</a>
</br>
<a href="http://localhost:8080/vulnerable0009?param=http://example.com">http://localhost:8080/vulnerable0009?param=http://example.com</a>
</br>
<a href="http://localhost:8080/vulnerable0010?param=http://example.com">http://localhost:8080/vulnerable0010?param=http://example.com</a>
</br>
<a href="http://localhost:8080/vulnerable0011?param=http://example.com">http://localhost:8080/vulnerable0011?param=http://example.com</a>
</br>

<form action="/vulnerable0012" method="post" target="_blank">
<p>vulnerable0012</p>
<input id="param" type="text" name="param" /> 
<input type="submit" value="submit" />
</form>

</br>
<a href="http://localhost:8080/vulnerable0013?param=http://example.com">http://localhost:8080/vulnerable0013?param=http://example.com</a>
</br>
<a href="http://localhost:8080/vulnerable0014?param=http://example.com">http://localhost:8080/vulnerable0014?param=http://example.com</a>
</br>
<a href="http://localhost:8080/vulnerable0015?param=http://example.com">http://localhost:8080/vulnerable0015?param=http://example.com</a>
</br>
<a href="http://localhost:8080/vulnerable0016?param=http://example.com">http://localhost:8080/vulnerable0016?param=http://example.com</a>
</br>
<a href="http://localhost:8080/vulnerable0017?param=http://example.com">http://localhost:8080/vulnerable0017?param=http://example.com</a>
</br>
<a href="http://localhost:8080/vulnerable0018?param=http://example.com">http://localhost:8080/vulnerable0018?param=mail.ietf.org:25</a>
</br>
<a href="http://localhost:8080/vulnerable0019?param=http://example.com">http://localhost:8080/vulnerable0019?param=http://example.com</a>
</br>
<a href="http://localhost:8080/vulnerable0020?param=http://example.com">http://localhost:8080/vulnerable0019?param=http://example.com</a>
</br>

<form action="/vulnerable0021" method="post" target="_blank">
<p>vulnerable0021</p>
<input id="param" type="text" name="param" /> 
<input type="submit" value="submit" />
</form>
</html>

<a href="http://localhost:8080/safe0001?param=http://example.com">http://localhost:8080/safe0001?param=http://example.com</a>
</br>
<a href="http://localhost:8080/safe0002?param=http://example.com">http://localhost:8080/safe0002?param=http://example.com</a>
</br>
<a href="http://localhost:8080/safe0003?param=http://example.com">http://localhost:8080/safe0003?param=http://example.com</a>
</br>
<a href="http://localhost:8080/safe0004?param=http://example.com">http://localhost:8080/safe0004?param=http://example.com</a>
</br>
<a href="http://localhost:8080/safe0005?param=http://example.com">http://localhost:8080/safe0005?param=http://example.com</a>
</br>
<a href="http://localhost:8080/safe0006?param=http://example.com">http://localhost:8080/safe0006?param=http://example.com</a>
</br>
<a href="http://localhost:8080/safe0007?param=http://example.com">http://localhost:8080/safe0007?param=http://example.com</a>
</br>
<a href="http://localhost:8080/safe0008?param=http://example.com">http://localhost:8080/safe0008?param=http://example.com</a>
</br>
<a href="http://localhost:8080/safe0009?param=http://example.com">http://localhost:8080/safe0009?param=http://example.com</a>
</br>
<a href="http://localhost:8080/safe0010?param=http://example.com">http://localhost:8080/safe0010?param=http://example.com</a>
</br>
<a href="http://localhost:8080/safe0011?param=http://example.com">http://localhost:8080/safe0011?param=http://example.com</a>
</br>
<a href="http://localhost:8080/safe0012?param=http://example.com">http://localhost:8080/safe0012?param=http://example.com</a>
</br>
<a href="http://localhost:8080/safe0013?param=http://example.com">http://localhost:8080/safe0013?param=http://example.com</a>
</br>
<a href="http://localhost:8080/safe0014?param=http://example.com">http://localhost:8080/safe0014?param=http://example.com</a>
</br>
<a href="http://localhost:8080/safe0015?param=http://example.com">http://localhost:8080/safe0015?param=http://example.com</a>
</br>